<div class="full-container">
    <div class="right-content">
        <h3>Create new deployment</h3>
        <form [formGroup]="deploymentFG">
            <mat-form-field>
                <input matInput placeholder="Name" formControlName="name">
            </mat-form-field>
            <mat-form-field>
                <input matInput placeholder="Container name" formControlName="containerName">
            </mat-form-field>
            <mat-form-field>
                <input matInput placeholder="Container image" formControlName="containerImage">
            </mat-form-field>
            <mat-form-field>
                <input matInput placeholder="Label key" formControlName="labelKey">
            </mat-form-field>
            <mat-form-field>
                <input matInput placeholder="Label value" formControlName="labelValue">
            </mat-form-field>
            <mat-form-field>
                <input matInput placeholder="Image pull secret" formControlName="imagePullSecret">
            </mat-form-field>
            <button mat-button color="primary" (click)="save()">Create</button>
        </form>
    </div>
</div>